# Hydra Developer Wiki
(Please feel free to edit this wiki and help make it better - if you're not sure about changes, propose them on hydra-tech@googlegroups.com first)

The projecthydra gem is a container gem which locks major version dependencies for a complete release of the hydra framework.  Requiring this gem or including it in your Gemfile will load or install a coherent set of hydra gems developed and tested for interoperability.  Developers requiring the most current functionality may choose to omit this gem and build their gem dependencies manually.

This wiki is targeted towards developers who are implementing Hydra Heads. The [Duraspace wiki](http://wiki.duraspace.org/display/hydra/) has information discussing the Hydra architecture. There's also information for new and potential adopters on the [project web site](http://projecthydra.org).

## Getting Started

- **Tutorial:** [[Dive into Hydra]]
- **Tutorial:** [Tame Your XML With OM](https://github.com/projecthydra/om/wiki/Tame-your-XML-with-OM)
- **Tutorial:** [Access Controls with Hydra](https://github.com/projecthydra/hydra-head/wiki/Access-Controls-with-Hydra)


## Documentation

- [Developer documentation](https://github.com/projecthydra/hydra/wiki/For-Developers)
- [Technical Framework and its Parts](https://wiki.duraspace.org/display/hydra/Technical+Framework+and+its+Parts)
- [API Documentation](http://rdoc.info/github/projecthydra/hydra-head/)
- [[Rake Tasks in Hydra Head]]
- [Understanding Hydra Access Controls](https://github.com/projecthydra/hydra-head/wiki/Access-Controls)
- [Filtering Search Results With Hydra Access Controls](https://github.com/projecthydra/hydra-head/wiki/Filtering-search-results-with-hydra-access-controls)
- [File Uploads](https://github.com/projecthydra/hydra-head/wiki/File-uploads)
- [File Downloads](https://github.com/projecthydra/hydra-head/wiki/File-downloads)
- [Deployment Hardware](https://wiki.duraspace.org/display/hydra/Deployment+Hardware+Information)
- [[Migration Notes]]
- [[Hydra Recipes]] - short how-to articles
- [[LDP Containers for the perplexed]]

### Reference for Hydra Contributors/Committers

If you are making changes to the hydra-head code itself, you will want to read

- [How to Contribute](https://github.com/projecthydra/hydra/blob/master/CONTRIBUTING.md)
- [[Hackfest ideas]]
